Bug 1020418 - [abrt] libreoffice-core-4.1.2.3-3.fc19: SfxItemSet::SfxItemSet: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.2.3-3.fc19: SfxItemSet::SfxItemSet: Process /usr/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:23a3130c2759f520c96fc34ee71...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 11:52 EDT by kbzd76
Modified: 2013-11-11 10:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 10:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (76.48 KB, text/plain)
2013-10-17 11:52 EDT, kbzd76
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-17 11:52 EDT, kbzd76
no flags Details
File: core_backtrace (13.42 KB, text/plain)
2013-10-17 11:52 EDT, kbzd76
no flags Details
File: dso_list (41.36 KB, text/plain)
2013-10-17 11:52 EDT, kbzd76
no flags Details
File: environ (2.22 KB, text/plain)
2013-10-17 11:52 EDT, kbzd76
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-17 11:52 EDT, kbzd76
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-17 11:53 EDT, kbzd76
no flags Details
File: maps (169.71 KB, text/plain)
2013-10-17 11:53 EDT, kbzd76
no flags Details
File: open_fds (871 bytes, text/plain)
2013-10-17 11:53 EDT, kbzd76
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-10-17 11:53 EDT, kbzd76
no flags Details
File: var_log_messages (982 bytes, text/plain)
2013-10-17 11:53 EDT, kbzd76
no flags Details

  None (edit)
Description kbzd76 2013-10-17 11:52:15 EDT
Description of problem:
Modification de style de formatage

Version-Release number of selected component:
libreoffice-core-4.1.2.3-3.fc19

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: SfxItemSet::SfxItemSet
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SfxItemSet::SfxItemSet at /usr/src/debug/libreoffice-4.1.2.2/svl/source/items/itemset.cxx:246
 #1 SwAttrSet::SwAttrSet at /usr/src/debug/libreoffice-4.1.2.2/sw/source/core/attr/swatrset.cxx:77
 #2 SwAttrSet::Clone at /usr/src/debug/libreoffice-4.1.2.2/sw/source/core/attr/swatrset.cxx:109
 #3 setItemSet at /usr/src/debug/libreoffice-4.1.2.2/svl/source/items/stylepool.cxx:74
 #4 StylePoolImpl::insertItemSet at /usr/src/debug/libreoffice-4.1.2.2/svl/source/items/stylepool.cxx:438
 #5 StylePool::insertItemSet at /usr/src/debug/libreoffice-4.1.2.2/svl/source/items/stylepool.cxx:476
 #6 SwStyleManager::getAutomaticStyle at /usr/src/debug/libreoffice-4.1.2.2/sw/source/core/doc/swstylemanager.cxx:108
 #7 AttrSetHandleHelper::GetNewAutoStyle at /usr/src/debug/libreoffice-4.1.2.2/sw/source/core/docnode/node.cxx:89
 #8 AttrSetHandleHelper::Put_BC at /usr/src/debug/libreoffice-4.1.2.2/sw/source/core/docnode/node.cxx:186
 #9 SwCntntNode::SetAttr at /usr/src/debug/libreoffice-4.1.2.2/sw/source/core/docnode/node.cxx:1358
Comment 1 kbzd76 2013-10-17 11:52:22 EDT
Created attachment 813423 [details]
File: backtrace
Comment 2 kbzd76 2013-10-17 11:52:29 EDT
Created attachment 813424 [details]
File: cgroup
Comment 3 kbzd76 2013-10-17 11:52:35 EDT
Created attachment 813425 [details]
File: core_backtrace
Comment 4 kbzd76 2013-10-17 11:52:41 EDT
Created attachment 813426 [details]
File: dso_list
Comment 5 kbzd76 2013-10-17 11:52:52 EDT
Created attachment 813427 [details]
File: environ
Comment 6 kbzd76 2013-10-17 11:52:57 EDT
Created attachment 813428 [details]
File: exploitable
Comment 7 kbzd76 2013-10-17 11:53:04 EDT
Created attachment 813429 [details]
File: limits
Comment 8 kbzd76 2013-10-17 11:53:10 EDT
Created attachment 813430 [details]
File: maps
Comment 9 kbzd76 2013-10-17 11:53:14 EDT
Created attachment 813431 [details]
File: open_fds
Comment 10 kbzd76 2013-10-17 11:53:18 EDT
Created attachment 813432 [details]
File: proc_pid_status
Comment 11 kbzd76 2013-10-17 11:53:22 EDT
Created attachment 813433 [details]
File: var_log_messages
Comment 12 David Tardon 2013-10-21 02:55:56 EDT
Obviously this does not happen normally: we would be swamped by bug reports if it did. Can you reproduce the crash? If yes, is it related to a specific document or format change?
Comment 13 kbzd76 2013-11-11 10:54:06 EST
Je n'ai plus utilisé le document en question. Je l'ai effacé car il été inutilisable.
Depuis, j'ai aussi effacé LibreOffice et installé OpenOffice.

Note You need to log in before you can comment on or make changes to this bug.